import path from 'node:path';
export function getFilePath(filePath, defaultFilename) {
    const FILE_EXTENSION_REGEX = /\.[0-9a-z]+$/i;
    let absolutePath = path.resolve(filePath);
    if (!FILE_EXTENSION_REGEX.test(path.basename(absolutePath))) {
        absolutePath = path.join(absolutePath, defaultFilename);
    }
    return absolutePath;
}
export const isMultiremote = (obj) => {
    return (typeof obj === 'object' &&
        Object.values(obj)[0].capabilities);
};
export const isEdge = (capabilities) => {
    const cap = capabilities;
    const mcap = capabilities;
    if (cap.browserName && cap.browserName.toLowerCase().includes('edge')) {
        return true;
    }
    for (const c in mcap) {
        const browserName = mcap[c].capabilities.browserName;
        if (browserName && browserName.includes('edge')) {
            return true;
        }
    }
    return false;
};
